--
--  DCButton.applescript
--  Kamenoko
--
--  Created by Takaaki Naganoya on 2020/05/18.
--  Copyright  2020 Takaaki Naganoya. All rights reserved.
--

script DCButton
	property parent : class "NSButton"
	
	on mouseDown:aEvent
		set buttonNum to aEvent's buttonNumber()
		set aEtype to aEvent's type()
		set aCount to aEvent's clickCount()
		
		if aCount = 3 then --Triple Click
			display dialog "Triple Click"
			
		else if aCount = 2 then --Double Click
			display dialog "Double Click"
			
		end if
	end mouseDown:
	
	on mouseMoved:theEvent
		log {"mouseMoved", aEvent}
	end mouseMoved:
	
	on mouseUp:aEvent
		log {"mouseUp", aEvent}
	end mouseUp:
	
	on mouseDragged:aEvent
		log "mouseDragged"
	end mouseDragged:
	
	on rightMouseDown:aEvent
		--Display Contextual Menu
		current application's NSApp's delegate()'s performSelector:"dispContextual:" withObject:(aEvent)
	end rightMouseDown:
	
	on rightMouseUp:aEvent
		log {"rightMouseUp", aEvent}
	end rightMouseUp:
	
	on clicked:aSender
		continue clicked:(missing value)
	end clicked:
	
	(*
	on mouseEntered:theEvent
		log {"mouseEntered", theEvent}
	end mouseEntered:

	on mouseExited:theEvent
		log {"mouseExited", theEvent}
	end mouseExited:
*)
end script
